use webrtc::{api::media_engine::MediaEngine, interceptor::registry::Registry, peer_connection::configuration::RTCConfiguration};

fn main() {
  let mut m = MediaEngine::default();

  m.register_default_codecs()?;
  let mut registry = Registry::new();
  registry = register_default_interceptors(registry, &mut m)?;
  let api = APIBuilder::new().with_media_engine(m).with_interceptor_registry(registry).build();
  let config = RTCConfiguration {
    ice_servers: vec![RTCIceServer {
      urls: vec!["stun:stun.l.google.com:19302".to_owned()],
      ..Default::default()
    }],
    ..Default::default()
  };
}
